Loading...
Searching...
No Matches
fitskeyid Struct Reference

Keyword indexing. More...

`#include <fitshdr.h>`

## Data Fields

char | name [12]
int | count
int | idx [2]

## Detailed Description

Keyword indexing.

fitshdr() uses the fitskeyid struct to return indexing information for specified keywords. The struct contains three members, the first of which, fitskeyid::name, must be set by the user with the remainder returned by fitshdr().

## Field Documentation

## name

char fitskeyid::name

(Given) Name of the required keyword. This is to be set by the user; the '.' character may be used for wildcarding. Trailing blanks will be replaced with nulls.

## count

int fitskeyid::count

(Returned) The number of matches found for the keyword.

## idx

int fitskeyid::idx

(Returned) Indices into keys[], the array of fitskey structs returned by fitshdr(). Note that these are 0-relative array indices, not keyrecord numbers.

If the keyword is found in the header the first index will be set to the array index of its first occurrence, otherwise it will be set to -1.

If multiples of the keyword are found, the second index will be set to the array index of its last occurrence, otherwise it will be set to -1.